/*********************************************************************************
**
**   $Id: CustVehcTable.cpp,v 1.4 2004/06/24 12:18:17 croftj Exp $
**   Copyright (c) 2004 Joe Croft <joe@croftj.net>
**   
**   This file is part of ah2.
**
**   ah2 is free software; you can redistribute it and/or modify
**   it under the terms of the GNU General Public License as published by
**   the Free Software Foundation; either version 2 of the License, or
**   (at your option) any later version.
**
**   Foobar is distributed in the hope that it will be useful,
**   but WITHOUT ANY WARRANTY; without even the implied warranty of
**   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
**   GNU General Public License for more details.
**
**   You should have received a copy of the GNU General Public License
**   along with Foobar; if not, write to the Free Software
**   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
**
*********************************************************************************/

#include "CustVehcTable.h"

static DataFields fields[] =
{
   { "owner",        "Owner",          0,  0,  0,  0,  15,  0,  0, "", NULL, NULL },
   { "Make",         "Make",           0,  0,  0,  0,   0,  0,  0, "", NULL, NULL },
   { "model",        "Model",          0,  0,  0,  0,   0,  0,  0, "", NULL, NULL },
   { "color",        "Color",          0,  0,  0,  0,   0,  0,  0, "", NULL, NULL },
   { "model_yr",     "Year",           0,  0,  0,  0,   2,  0,  0, "", NULL, NULL },
   { "tag",          "Tag",            0,  0,  0,  0,   0,  0,  0, "", NULL, NULL },
   { "vin",          "VIN",            0,  0,  0,  0,   0,  0,  0, "", NULL, NULL },
   { "engine",       "Engine",         0,  0,  0,  0,   0,  0,  0, "", NULL, NULL },
   { "trans",        "Transmission",   0,  0,  0,  0,   0,  0,  0, "", NULL, NULL },
//   { "workorders",   "Work Orders",    0,  0,  0,  0,   0,  0,  0, "", NULL, NULL },
   {  NULL, NULL, 0, 0, 0, 0, 0, 0, 0, NULL, NULL, NULL}
};

CustVehcTable::CustVehcTable(QWidget *pParent, const char *pName) :
            DataTable(fields, "vehicles_v", 15, pParent, pName)
{
   printf("CustVehcTable::CustVehcTable(default): Enter\n");
   sortBy("owner ASC");
   refresh();
}
